## node-merge 1.2.0

=== tests/qunit/node_modules/qunit/Makefile ===
test:
	node ./test/testrunner.js

.PHONY: install test

=== tests/qunit/node_modules/qunit/node_modules/argsparser/Makefile ===
test:
	node test/test.js

.PHONY: test

=== tests/qunit/node_modules/qunit/node_modules/cli-table/Makefile ===

test:
	@NODE_ENV=test ./support/expresso/bin/expresso \
		-I lib \
		-I support \
		-I support/should.js/lib \
		-I support/colors.js \
		$(TESTFLAGS) \
		test/*.test.js

test-cov:
	@TESTFLAGS=--cov $(MAKE) test

.PHONY: test test-cov

=== debian/changelog ===
node-merge (1.2.0-2) unstable; urgency=medium

  * Update VCS URLs.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 24 Sep 2015 12:01:46 +0200

node-merge (1.2.0-1) unstable; urgency=low

  * Initial upload (Closes: #790954)

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 03 Jul 2015 12:33:19 +0200

=== debian/control ===
Source: node-merge
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 9.0.0), node-uglify
Standards-Version: 3.9.6
Homepage: https://github.com/yeikos/js.merge
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-merge.git/
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-merge.git

Package: libjs-merge
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: JavaScript utility for merging multiple objects into one.
 Merge multiple objects into one, optionally creating a new cloned object.
 Similar to the jQuery.extend but more flexible. Works in Node.js and
 the browser.

Package: node-merge
Architecture: all
Depends: ${misc:Depends}, nodejs (>= 0.6.19~dfsg1-3), libjs-merge
Description: JavaScript utility for merging multiple objects into one.
 Merge multiple objects into one, optionally creating a new cloned object. 
 Similar to the jQuery.extend but more flexible. Works in Node.js and 
 the browser.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ 

override_dh_auto_clean:
	rm -rf debian/build

override_dh_auto_build:
	dh_auto_build
	if [ ! -d debian/build ]; \
		then mkdir debian/build; \
	fi; \
	for _FILE in merge.js ; \
	do \
		cp $${_FILE} debian/build/; \
		$(js-compressor)  -o debian/build/$$(basename $${_FILE} .js).min.js $${_FILE}; \
	done

# Uscan will read debian/watch, grab the correct version, repack and leave
# it in the current directory
get-orig-source:
	uscan --no-conf --force-download --rename --repack --download-current-version --destdir=.

=== debian/watch ===
version=3
https://github.com/yeikos/js.merge/tags .*/archive/v(\d[\d\.]+)\.tar\.gz

## node-merge 2.1.0+ds

=== debian/changelog ===
node-merge (2.1.0+ds-3) unstable; urgency=medium

  * Add patch to test installed file, not source one

 -- Xavier Guimard <yadd@debian.org>  Sat, 26 Dec 2020 18:36:32 +0100

node-merge (2.1.0+ds-2) unstable; urgency=medium

  * Provide unminifed browser file and links to previous places

 -- Xavier Guimard <yadd@debian.org>  Sat, 26 Dec 2020 17:34:08 +0100

node-merge (2.1.0+ds-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libjs-merge: Add Multi-Arch: foreign.

  [ lintian-brush ]
  * Update watch file format version to 4.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.1
  * Remove dist/ from import
  * New upstream version 2.1.0+ds
  * Build with typescript and webpack
  * Update install
  * Remove lintian overrides
  * Enable upstream test using mocha

 -- Xavier Guimard <yadd@debian.org>  Sat, 26 Dec 2020 17:13:01 +0100

node-merge (1.2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers to use salsa repository.
  * Remove unnecessary get-orig-source-target.

  [ Tobias Frost ]
  * Updating the Uploaders list (Closes: #953500)

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Fix upstream/metadata
  * New upstream version 1.2.1
  * Add myself to uploaders
  * Use dh-sequence-nodejs
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Tue, 06 Oct 2020 22:11:40 +0200

=== debian/control ===
Source: node-merge
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Xavier Guimard <yadd@debian.org>
Build-Depends: debhelper-compat (= 12)
 , chai
 , dh-sequence-nodejs
 , mocha
 , node-typescript
 , node-typescript-types
 , webpack
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/js-team/node-merge
Vcs-Git: https://salsa.debian.org/js-team/node-merge.git
Homepage: https://github.com/yeikos/js.merge
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: libjs-merge
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Multi-Arch: foreign
Description: JavaScript utility for merging multiple objects into one.
 Merge multiple objects into one, optionally creating a new cloned object.
 Similar to the jQuery.extend but more flexible. Works in Node.js and
 the browser.

Package: node-merge
Architecture: all
Depends: ${misc:Depends}
Description: Nodejs utility for merging multiple objects into one.
 Merge multiple objects into one, optionally creating a new cloned object.
 Similar to the jQuery.extend but more flexible. Works in Node.js and
 the browser.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+ds,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-merge-$1.tar.gz/ \
 https://github.com/yeikos/js.merge/tags .*/archive/v(\d[\d\.]+)\.tar\.gz

## node-merge 2.1.1+ds

=== debian/changelog ===
node-merge (2.1.1+ds-4) unstable; urgency=medium

  * Update standards version to 4.6.1, no changes needed.
  * Add fix for tsc >= 4.8

 -- Yadd <yadd@debian.org>  Tue, 18 Oct 2022 16:47:08 +0200

node-merge (2.1.1+ds-3) unstable; urgency=medium

  * Apply multi-arch hints (foreign)

 -- Yadd <yadd@debian.org>  Sun, 01 May 2022 13:05:20 +0200

node-merge (2.1.1+ds-2) unstable; urgency=medium

  * Reupload to force rebuild

 -- Yadd <yadd@debian.org>  Sun, 21 Nov 2021 08:22:59 +0100

node-merge (2.1.1+ds-1) unstable; urgency=medium

  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * New upstream version 2.1.1+ds
  * Drop test-installed-file.patch (fixes debci)

 -- Yadd <yadd@debian.org>  Sat, 20 Nov 2021 17:31:55 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: javascript
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Xavier Guimard <yadd@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Uploaders: Yadd <yadd@debian.org>
+Build-Depends: debhelper-compat (= 13)
  , chai
  , dh-sequence-nodejs
  , mocha
  , node-typescript
- , node-typescript-types
  , webpack
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-merge
 Vcs-Git: https://salsa.debian.org/js-team/node-merge.git
 Homepage: https://github.com/yeikos/js.merge
@@ -30,6 +29,7 @@
 Package: node-merge
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Nodejs utility for merging multiple objects into one.
  Merge multiple objects into one, optionally creating a new cloned object.
  Similar to the jQuery.extend but more flexible. Works in Node.js and

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+ds,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-merge-$1/ \
 https://github.com/yeikos/js.merge/tags .*/archive/.*/v(\d[\d\.]+)\.tar\.gz
